# $Revision: 1.51 $, $Date: 2008/07/27 22:47:48 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	SQL
%define		pnam	Statement
Summary:	SQL::Statement - SQL parsing and processing engine
Summary(pl.UTF-8):	SQL::Statement - silnik do przetwarzania i analizy SQL
Name:		perl-SQL-Statement
Version:	1.15
Release:	2
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c17a1c38f071e5c7135e3085020e7d47
Patch0:		%{name}-warning.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Modules from this package can be used stand-alone to parse SQL
statements or used with DBI and DBD::CSV, DBD::AnyData or other
drivers to create, modify, and query data in many kinds of formats
including XML, CSV, Fixed Length, Excel Spreadsheets and many others.

%description -l pl.UTF-8
Moduły z tego pakietu mogą być używane samodzielnie do analizy
poleceń SQL, jak też razem ze sterownikami DBI i DBD::CSV,
DBD::AnyData lub innymi, do tworzenia i modyfikacji danych oraz
do wykonywania zapytań przy użyciu danych w wielu formatach, włączając
XML, CSV, dane o stałym rozmiarze, arkusze Excela i wiele innych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/SQL/Dialects
%{perl_vendorlib}/SQL/Statement
%{perl_vendorlib}/SQL/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-SQL-Statement.spec,v $
Revision 1.51  2008/07/27 22:47:48  arekm
- release 2

Revision 1.50  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.49  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.48  2006/05/25 09:03:36  blaass
-up to 1.15

Revision 1.47  2005/06/13 12:31:35  petec
- up to 1.14

Revision 1.46  2004/11/03 22:30:42  paladine
- formatting

Revision 1.45  2004/06/05 18:10:47  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.44  2004/05/07 00:32:03  ankry
- rel. 2

Revision 1.43  2004/05/06 18:20:59  ankry
- fixed perl-devel BR

Revision 1.42  2004/04/25 20:22:52  adamg
- new style bconds

Revision 1.41  2004/04/25 16:35:35  adamg
- updated to 1.09

Revision 1.40  2004/04/19 14:20:41  adamg
- updated to 1.06

Revision 1.39  2004/04/15 20:44:31  ankry
- license and other cosmetics

Revision 1.38  2003/09/09 10:24:47  ankry
- spaces -> tab

Revision 1.37  2003/08/18 08:09:11  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.36  2003/05/28 13:01:00  malekith
- massive attack: source-md5

Revision 1.35  2003/05/25 06:24:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.33  2003/03/01 20:46:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.32  2003/02/24 20:31:57  radek
- use the __perl macro

Revision 1.31  2003/02/22 21:23:56  radek
- random summary improvements

Revision 1.30  2003/02/21 13:45:05  ankry
- updated to 1.005
- package is noarch
- more verbose descriptions

Revision 1.29  2003/02/18 15:38:03  ankry
- massive attack: change CPAN URLs

Revision 1.28  2002/09/16 08:29:28  ankry
- added tests on bcond
- removed %{perl_sitelib}/SQL dir (moved to perl)
- release 3

Revision 1.27  2002/07/19 00:08:45  ankry
- translations, cleaning
- added %%{perl_sitelib}/SQL
- release 2

Revision 1.26  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.25  2002/07/11 08:03:53  depesz
- new version; should work; STBR

Revision 1.24  2002/07/10 08:48:35  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.23  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.22  2002/02/25 10:34:14  depesz
cleanup; revision++

Revision 1.21  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/13 14:20:02  depesz
automatic: Source location unified, Relase Up

Revision 1.19  2002/02/10 15:33:56  depesz
adapterized

Revision 1.18  2002/01/18 02:14:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/11/27 16:48:13  mis
- autoupdated to 0.1021

Revision 1.16  2001/05/06 16:54:33  mis
- autoupdated to 0.1020

Revision 1.15  2001/05/02 21:51:25  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.14  2001/04/17 12:15:05  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.13  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.12  2001/02/20 15:58:39  mis
- updated (by autoup) to 0.1017

Revision 1.11  2001/01/25 20:03:47  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.10  2001/01/23 16:14:04  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.9  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.7  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.5  2000/02/18 01:35:21  pius
- updated to 0.1016

Revision 1.4  1999/11/07 16:45:01  kloczek
- cosmetics.

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/11/03 11:09:29  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:20  pius
- initial release
